<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script type="module">
    import Car from './Car.js';
    import ElectricCar from './ElectricCar.js';
    import PetrolCar from './PetrolCar.js';

    // Khởi tạo đối tượng Car
    const car = new Car('Toyota', 'Corolla');
    car.drive();

    // Kiểm tra instance của đối tượng
    console.log(car instanceof Car);
    console.log(car instanceof ElectricCar);
    console.log(car instanceof PetrolCar);

    // Khởi tạo đối tượng ElectricCar
    const electricCar = new ElectricCar('Tesla', 'Model S', 90);
    electricCar.drive();
    electricCar.charge();

    // Kiểm tra instance của đối tượng
    console.log(electricCar instanceof Car);
    console.log(electricCar instanceof ElectricCar);
    console.log(electricCar instanceof PetrolCar);

    // Khởi tạo đối tượng PetrolCar
    const petrolCar = new PetrolCar('Honda', 'Civic', 'Full');
    petrolCar.drive();
    petrolCar.fillUp();

    // Kiểm tra instance của đối tượng
    console.log(petrolCar instanceof Car);
    console.log(petrolCar instanceof ElectricCar);
    console.log(petrolCar instanceof PetrolCar);

</script>